/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENCfdDriver.h"
#include "CAENCfdDef.h"

using namespace std;

namespace caen_cfd {

/*
 * Constructor
 */
PerfectCAENCfdDriver::PerfectCAENCfdDriver(CAENCfdDriver* owner) : CAENCfdState(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENCfdDriver::~PerfectCAENCfdDriver() {
	/* Empty */
}

/*!
 * \brief Init command implementation
 */
void PerfectCAENCfdDriver::init() {

}

/*!
 * \brief Clear command implementation
 */
void PerfectCAENCfdDriver::clear() {

}

/*!
 * \brief Reset command implementation
 */
void PerfectCAENCfdDriver::reset() {

}

/*!
 * \brief Write Param command implementation
 */
void PerfectCAENCfdDriver::writeParam() {

}

/*!
 * \brief Set acquisition mode command implementation
 */
void PerfectCAENCfdDriver::setAcqMode() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENCfdDriver::readInfos() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENCfdDriver::readStatus() {

}

/*!
 * \brief Set CFD mode parameters
 */
void PerfectCAENCfdDriver::setCfdParam() {

}

/*!
 * \brief Set bit in register
 */
void PerfectCAENCfdDriver::registerSetBits(uint16_t addr, int32 startBit, int32 endBit, int32 val) {

}

}
